EXECUTE BLOCK
AS
DECLARE VARIABLE SQL VARCHAR(2000);
BEGIN
  FOR
    SELECT 'UPDATE EMPRESAS SET CODIGO_TABVERTICAL_MOT_APAGADO = ' ||(SELECT FIRST 1 LL.CODIGO_CAMPO_TABELA_VERTICAL
                                                                        FROM CONFIG_APP_TABELAS_CAMPOS LL
                                                                        WHERE LL.CODIGO_CONFIG_APP_TABELA = KK.CODIGO
                                                                          AND LL.IDENTIFICADOR = 'CPO_APAGADO') || ', CODIGO_TABVERTICAL_MOT_STATUS = ' ||(SELECT FIRST 1 LL.CODIGO_CAMPO_TABELA_VERTICAL
                                                                                                                                                             FROM CONFIG_APP_TABELAS_CAMPOS LL
                                                                                                                                                             WHERE LL.CODIGO_CONFIG_APP_TABELA = KK.CODIGO
                                                                                                                                                               AND LL.IDENTIFICADOR = 'CPO_STATUS') || ', CODIGO_TABVERTICAL_MOT_RFID = ' ||(SELECT FIRST 1 LL.CODIGO_CAMPO_TABELA_VERTICAL
                                                                                                                                                                                                                                               FROM CONFIG_APP_TABELAS_CAMPOS LL
                                                                                                                                                                                                                                               WHERE LL.CODIGO_CONFIG_APP_TABELA = KK.CODIGO
                                                                                                                                                                                                                                                 AND LL.IDENTIFICADOR = 'CPO_RFID') || ' WHERE CODIGO = ' || JJ.CODIGO_EMPRESA
      FROM CONFIG_APP JJ
      JOIN CONFIG_APP_TABELAS KK ON KK.CODIGO_CONFIG_APP = JJ.CODIGO
      WHERE JJ.NOME_APLICATIVO = 'APP_SINOTICO_MOTORISTA'
      INTO :SQL
  DO
  BEGIN
    EXECUTE STATEMENT :SQL;
  END
END
